Skip to content
Start here

Get Destinations

workers.observability.destinations.list(DestinationListParams**kwargs) -> SyncSinglePage[DestinationListResponse]
GET/accounts/{account_id}/workers/observability/destinations

List your Workers Observability Telemetry Destinations.

Security
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
User Service Key

Used when interacting with the Origin CA certificates API. View/change your key.

Example:X-Auth-User-Service-Key: v1.0-144c9defac04969c7bfad8ef-631a41d003a32d25fe878081ef365c49503f7fada600da935e2851a1c7326084b85cbf6429c4b859de8475731dc92a9c329631e6d59e6c73da7b198497172b4cefe071d90d0f5d2719
Accepted Permissions (at least one required)
Workers Observability WriteWorkers Observability Read
ParametersExpand Collapse
account_id: str
order: Optional[Literal["asc", "desc"]]
One of the following:
"asc"
"desc"
order_by: Optional[Literal["created", "updated"]]
One of the following:
"created"
"updated"
page: Optional[float]
minimum1
per_page: Optional[float]
maximum50
minimum5
ReturnsExpand Collapse
class DestinationListResponse:
configuration: Configuration
destination_conf: str
headers: Dict[str, str]
job_status: ConfigurationJobStatus
error_message: str
last_complete: str
last_error: str
logpush_dataset: Literal["opentelemetry-traces", "opentelemetry-logs"]
One of the following:
"opentelemetry-traces"
"opentelemetry-logs"
type: Literal["logpush"]
url: str
enabled: bool
name: str
scripts: List[str]
slug: str

Get Destinations

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_email=os.environ.get("CLOUDFLARE_EMAIL"),  # This is the default and can be omitted
    api_key=os.environ.get("CLOUDFLARE_API_KEY"),  # This is the default and can be omitted
)
page = client.workers.observability.destinations.list(
    account_id="account_id",
)
page = page.result[0]
print(page.configuration)
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "Successful request"
    }
  ],
  "result": [
    {
      "configuration": {
        "destination_conf": "destination_conf",
        "headers": {
          "foo": "string"
        },
        "jobStatus": {
          "error_message": "error_message",
          "last_complete": "last_complete",
          "last_error": "last_error"
        },
        "logpushDataset": "opentelemetry-traces",
        "type": "logpush",
        "url": "url"
      },
      "enabled": true,
      "name": "name",
      "scripts": [
        "string"
      ],
      "slug": "slug"
    }
  ],
  "success": true
}
Returns Examples
{
  "errors": [
    {
      "message": "message"
    }
  ],
  "messages": [
    {
      "message": "Successful request"
    }
  ],
  "result": [
    {
      "configuration": {
        "destination_conf": "destination_conf",
        "headers": {
          "foo": "string"
        },
        "jobStatus": {
          "error_message": "error_message",
          "last_complete": "last_complete",
          "last_error": "last_error"
        },
        "logpushDataset": "opentelemetry-traces",
        "type": "logpush",
        "url": "url"
      },
      "enabled": true,
      "name": "name",
      "scripts": [
        "string"
      ],
      "slug": "slug"
    }
  ],
  "success": true
}